﻿using GroupPanel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_Flex_OutLookGrouping
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            // create a data source
            var list = new List<Product>();
            for (int i = 0; i < 200; i++)
            {
                list.Add(new Product());
            }

            // assign the data source to both grids
            var cvs = new CollectionViewSource() { Source = list };
            _flexCustomGrouping.ItemsSource = cvs.View;

            _flexCustomGrouping.CollectionView.SortDescriptions.Add(new System.ComponentModel.SortDescription("Introduced", System.ComponentModel.ListSortDirection.Descending));
            _flexCustomGrouping.CollectionView.GroupDescriptions.Add(new PropertyGroupDescription("Introduced") { Converter = new DateTimeGroupConverter() });
            _groupPanelCustomGrouping.PropertyGroupCreated += _groupPanelCustomGrouping_PropertyGroupCreated;
        }

        void _groupPanelCustomGrouping_PropertyGroupCreated(object sender, C1.WPF.FlexGrid.PropertyGroupCreatedEventArgs e)
        {
            var pgd = e.PropertyGroupDescription;
            if (pgd.PropertyName == "Introduced")
                pgd.Converter = new DateTimeGroupConverter();

        }

    }
}
